
QGIS Application - Bug report #21159

gdal_warp not working

2019-02-04 10:06 AM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28977

Description

In Processing gdal_warp always fails with error:

2019-02-04T10:04:06     INFO    gdalwarp -t_srs EPSG:4326 -r near -of GTiff false /home/matteo/Desktop/dem.tif

/home/matteo/Desktop/try.tif

2019-02-04T10:04:06     INFO    GDAL execution console output

             ERROR 4: false: No such file or directory

no matters in which CRS the input file is and fails with both temporary layer or saved on disk option. In attach a small dem.

The following command from the console works fine:

gdalwarp -t_srs EPSG:3857 /home/matteo/Desktop/dem.tif -of GTiff /home/matteo/Desktop/try.tif

History

#1 - 2019-02-05 03:50 AM - Nyall Dawson

Fix is here: https://github.com/qgis/QGIS/pull/9094

#2 - 2019-02-05 10:39 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

dem.tif 1.82 MB 2019-02-04 matteo ghetta
https://github.com/qgis/QGIS/pull/9094

